List contacts
curl --request GET \
--url https://api.morphic.io/api/contacts/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.morphic.io/api/contacts/"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.morphic.io/api/contacts/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>",
"full_name": "<string>",
"emails": "<string>",
"phones": "<string>",
"mobile_phone": "<string>",
"job_title": "<string>",
"department": "<string>",
"linkedin_url": "<string>",
"twitter_url": "<string>",
"twitter_handle": "<string>",
"facebook_url": "<string>",
"instagram_url": "<string>",
"description": "<string>",
"address": "<string>",
"location": {},
"metadata": {},
"enrichment": {},
"enrichment_provider": "<string>",
"enrichment_last_updated": "2023-11-07T05:31:56Z",
"enrichment_status": "<string>",
"last_interaction": "2023-11-07T05:31:56Z",
"date_of_birth": "2023-12-25",
"notes": "<string>",
"categories": [
"<string>"
],
"company_id": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"custom_fields": {},
"associated_deal_ids": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"name": "<string>",
"is_favorite": false
}
],
"total": 123,
"page": 123,
"page_size": 123,
"pages": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Contacts
List contacts
Retrieve a paginated list of contacts with optional filtering and sorting.
GET
/
api
/
contacts
/
List contacts
Authorizations
API key (sk_xxx) from Developer Settings. No X-Account-ID needed.
Headers
Query Parameters
Comma-separated list of category IDs
JSON string of custom field filters
JSON string of basic filters
Sort by field:direction, e.g., 'first_name:asc' or 'created_at:desc'
Required range:
x >= 1Required range:
1 <= x <= 1000⌘I